logo
Tags down

shadow

Unable to resolve maven-resources-plugin:2.19.1 dependencies in Eclipse | Maven version - 3.6.1


By : Phạm Thành Đạt
Date : September 15 2020, 11:00 AM
I wish this help you maven-resources-plugin version 2.1.9.1 doesn't exist.
Try change version to 3.1.0 (or other existing version)
code :


Share : facebook icon twitter icon

Could not calculate build plan: Plugin org.apache.maven.plugins:maven-resources-plugin:2.5 or one of its dependencies co


By : Death2minni12
Date : March 29 2020, 07:55 AM
Hope that helps , I had the exact same problem.
code :
[ERROR] Plugin org.apache.maven.plugins:maven-resources-plugin:2.5 or one of its dependencies could not be resolved: Failed to read artifact descriptor for org.apache.maven.plugins:maven-resources-plugin:jar:2.5: Failure to find org.apache.maven.plugins:maven-resources-plugin:pom:2.5 in http://repo.maven.apache.org/maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central has elapsed or updates are forced -> [Help 1]
...
<proxy>
  <id>optional</id>
  <active>true</active>
  <protocol>http</protocol>
  <username>optional-proxyuser</username>
  <password>optional-proxypass</password>
  <host>proxy.host.net</host>
  <port>80</port>
  <nonProxyHosts>local.net|some.host.com</nonProxyHosts>
</proxy>
telnet [proxy] [port number]
  <build>
        <pluginManagement>
          <plugins>
            <plugin>
              <artifactId>maven-resources-plugin</artifactId>
              <version>2.7</version>
            </plugin>           
          </plugins>
        </pluginManagement>   
    </build>
The POM for org.apache.maven.plugins:maven-surefire-plugin:jar:2.10 is missing, no dependency information available

The POM for org.apache.maven.plugins:maven-install-plugin:jar:2.3.1 is missing, no dependency information available

Why does eclipse not resolve the maven plugin dependencies after it being added to the dependencies section?


By : Deepti Baral
Date : March 29 2020, 07:55 AM
This might help you I just installed the maven eclipse plugin and all is great. I have tried creating my first mojo. After the setup, it has downloaded all the required dependencies. , Solution :
to @yorkw - his answer led me to the solution.

How do I force Maven to use maven-resources-plugin version 2.6?


By : Vivek
Date : March 29 2020, 07:55 AM
seems to work fine The maven-resources-plugin is bound to the lifecycle by default for jars, wars, & ears. Adding a definition to your corporate root POM as you did should work to update the version used. Things to check:
Is the inheriting project specifying the version of the corporate parent POM that includes the change? Did you run mvn clean install on the root POM prior to running the project build?

Could not calculate build plan: Plugin org.apache.maven.plugins:maven-resources-plugin:2.6 or one of its dependencies co


By : Kevin Xie
Date : March 29 2020, 07:55 AM
help you fix your problem When I am try to build the project it gives this error. , Try the following steps:

Plugin org.apache.maven.plugins:maven-resources-plugin:2.5 or one of its dependencies could not be resolved: UnresolvedA


By : Yasser Touati
Date : March 29 2020, 07:55 AM
hope this fix your issue If you are working on windows like me, just go to C:\Users\Owner.m2\repository and delete all the files in it. Make sure to keep your eclipse close. Open eclipse and right click on your project, then click on Maven and then in Update Project. A dialog window appears, make sure to have selected ‘clean projects’ and ‘update project configuration from pom.xml’ options.
That should erase all the errors in the project. :)
shadow
Privacy Policy - Terms - Contact Us © 35dp-dentalpractice.co.uk